summaryrefslogtreecommitdiff
path: root/launch.sh
diff options
context:
space:
mode:
authormathieui <mathieui@mathieui.net>2014-12-15 16:24:21 +0100
committermathieui <mathieui@mathieui.net>2014-12-15 16:24:21 +0100
commit778581c48087450ec0efbb7ade16f2eefe501f3f (patch)
tree38973dcadafc6f195ad014d59bb0c8cc66f960f3 /launch.sh
parent00396c158aa032585db88cfd4b622281ba3cbd7f (diff)
downloadpoezio-778581c48087450ec0efbb7ade16f2eefe501f3f.tar.gz
poezio-778581c48087450ec0efbb7ade16f2eefe501f3f.tar.bz2
poezio-778581c48087450ec0efbb7ade16f2eefe501f3f.tar.xz
poezio-778581c48087450ec0efbb7ade16f2eefe501f3f.zip
Check the py3k version AFTER loading the virtualenv
Diffstat (limited to 'launch.sh')
-rwxr-xr-xlaunch.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/launch.sh b/launch.sh
index 34fea7b4..ab2829a1 100755
--- a/launch.sh
+++ b/launch.sh
@@ -1,5 +1,4 @@
#!/bin/sh
-python3 -c 'import sys;(print("Python 3.4 or newer is required") and exit(1)) if sys.version_info < (3, 4) else exit(0)' || exit 1
poezio_dir=$(dirname "$0")
VENV="poezio-venv"
@@ -22,5 +21,6 @@ else
PYTHON3=python3
fi
+$PYTHON3 -c 'import sys;(print("Python 3.4 or newer is required") and exit(1)) if sys.version_info < (3, 4) else exit(0)' || exit 1
exec "$PYTHON3" "$poezio_dir/src/poezio.py" -v "$args" "$@"